#include "cnames.h"

const struct ParmTable parm_table_jra55_200[256] = {
      /* 0 */ {"var0", "undefined"},
      /* 1 */ {"PRES", "Pressure [Pa]"},
      /* 2 */ {"PRMSL", "Pressure reduced to MSL [Pa]"},
      /* 3 */ {"var3", "undefined"},
      /* 4 */ {"pVOR", "Potential vorticity [K*m^2/kg/s]"},
      /* 5 */ {"var5", "undefined"},
      /* 6 */ {"GP", "Geopotential [m^2/s^2]"},
      /* 7 */ {"HGT", "Geopotential height [gpm]"},
      /* 8 */ {"var8", "undefined"},
      /* 9 */ {"var9", "undefined"},
      /* 10 */ {"TOZNE", "Total ozone [Dobson]"},
      /* 11 */ {"TMP", "Temperature [K]"},
      /* 12 */ {"var12", "undefined"},
      /* 13 */ {"POT", "Potential temperature [K]"},
      /* 14 */ {"var14", "undefined"},
      /* 15 */ {"TMAX", "Maximum temperature [K]"},
      /* 16 */ {"TMIN", "Minimum temperature [K]"},
      /* 17 */ {"var17", "undefined"},
      /* 18 */ {"DEPR", "Dew-point depression [K]"},
      /* 19 */ {"var19", "undefined"},
      /* 20 */ {"var20", "undefined"},
      /* 21 */ {"var21", "undefined"},
      /* 22 */ {"var22", "undefined"},
      /* 23 */ {"var23", "undefined"},
      /* 24 */ {"var24", "undefined"},
      /* 25 */ {"var25", "undefined"},
      /* 26 */ {"var26", "undefined"},
      /* 27 */ {"var27", "undefined"},
      /* 28 */ {"var28", "undefined"},
      /* 29 */ {"var29", "undefined"},
      /* 30 */ {"var30", "undefined"},
      /* 31 */ {"var31", "undefined"},
      /* 32 */ {"var32", "undefined"},
      /* 33 */ {"UGRD", "u-component of wind [m/s]"},
      /* 34 */ {"VGRD", "v-component of wind [m/s]"},
      /* 35 */ {"STRM", "Stream function [m^2/s]"},
      /* 36 */ {"VPOT", "Velocity potential [m^2/s]"},
      /* 37 */ {"MNTSF", "Montgomery stream function [m^2/s^2]"},
      /* 38 */ {"var38", "undefined"},
      /* 39 */ {"VVEL", "Vertical velocity [Pa/s]"},
      /* 40 */ {"var40", "undefined"},
      /* 41 */ {"var41", "undefined"},
      /* 42 */ {"var42", "undefined"},
      /* 43 */ {"RELV", "Relative vorticity [1/s]"},
      /* 44 */ {"RELD", "Relative divergence [1/s]"},
      /* 45 */ {"var45", "undefined"},
      /* 46 */ {"var46", "undefined"},
      /* 47 */ {"var47", "undefined"},
      /* 48 */ {"var48", "undefined"},
      /* 49 */ {"var49", "undefined"},
      /* 50 */ {"var50", "undefined"},
      /* 51 */ {"SPFH", "Specific humidity [kg/kg]"},
      /* 52 */ {"RH", "Relative humidity [%]"},
      /* 53 */ {"var53", "undefined"},
      /* 54 */ {"PWAT", "Precipitable water [kg/m^2]"},
      /* 55 */ {"var55", "undefined"},
      /* 56 */ {"var56", "undefined"},
      /* 57 */ {"EVP", "Evaporation [mm/day]"},
      /* 58 */ {"CICE", "Cloud ice [kg/m^2]"},
      /* 59 */ {"var59", "undefined"},
      /* 60 */ {"var60", "undefined"},
      /* 61 */ {"TPRAT", "Total precipitation [mm/day]"},
      /* 62 */ {"LPRAT", "Large scale precipitation [mm/day]"},
      /* 63 */ {"CPRAT", "Convective precipitation [mm/day]"},
      /* 64 */ {"SRWEQ", "Snowfall rate water equivalent [mm/day]"},
      /* 65 */ {"SnWe", "Water equivalent of accumulated snow depth [kg/m^2]"},
      /* 66 */ {"SnowD", "Snow depth [m]"},
      /* 67 */ {"var67", "undefined"},
      /* 68 */ {"var68", "undefined"},
      /* 69 */ {"var69", "undefined"},
      /* 70 */ {"var70", "undefined"},
      /* 71 */ {"TCDC", "Total cloud cover [%]"},
      /* 72 */ {"var72", "undefined"},
      /* 73 */ {"LCDC", "Low cloud cover [%]"},
      /* 74 */ {"MCDC", "Medium cloud cover [%]"},
      /* 75 */ {"HCDC", "High cloud cover [%]"},
      /* 76 */ {"var76", "undefined"},
      /* 77 */ {"var77", "undefined"},
      /* 78 */ {"var78", "undefined"},
      /* 79 */ {"var79", "undefined"},
      /* 80 */ {"var80", "undefined"},
      /* 81 */ {"LAND", "Land cover (1 = land, 0 = sea) [Proportion]"},
      /* 82 */ {"var82", "undefined"},
      /* 83 */ {"SFCR", "Surface roughness [m]"},
      /* 84 */ {"var84", "undefined"},
      /* 85 */ {"SoilT", "Soil temperature [K]"},
      /* 86 */ {"var86", "undefined"},
      /* 87 */ {"var87", "undefined"},
      /* 88 */ {"var88", "undefined"},
      /* 89 */ {"var89", "undefined"},
      /* 90 */ {"ROF", "Water run-off [mm/day]"},
      /* 91 */ {"ICEC", "Ice cover (1 = ice, 0 = no ice) [Proportion]"},
      /* 92 */ {"var92", "undefined"},
      /* 93 */ {"var93", "undefined"},
      /* 94 */ {"var94", "undefined"},
      /* 95 */ {"var95", "undefined"},
      /* 96 */ {"var96", "undefined"},
      /* 97 */ {"var97", "undefined"},
      /* 98 */ {"var98", "undefined"},
      /* 99 */ {"var99", "undefined"},
      /* 100 */ {"var100", "undefined"},
      /* 101 */ {"var101", "undefined"},
      /* 102 */ {"var102", "undefined"},
      /* 103 */ {"var103", "undefined"},
      /* 104 */ {"var104", "undefined"},
      /* 105 */ {"var105", "undefined"},
      /* 106 */ {"var106", "undefined"},
      /* 107 */ {"var107", "undefined"},
      /* 108 */ {"var108", "undefined"},
      /* 109 */ {"var109", "undefined"},
      /* 110 */ {"var110", "undefined"},
      /* 111 */ {"var111", "undefined"},
      /* 112 */ {"var112", "undefined"},
      /* 113 */ {"var113", "undefined"},
      /* 114 */ {"var114", "undefined"},
      /* 115 */ {"var115", "undefined"},
      /* 116 */ {"var116", "undefined"},
      /* 117 */ {"var117", "undefined"},
      /* 118 */ {"BRTMP", "Brightness temperature [K]"},
      /* 119 */ {"var119", "undefined"},
      /* 120 */ {"var120", "undefined"},
      /* 121 */ {"LHTFL", "Latent heat flux [W/m^2]"},
      /* 122 */ {"SHTFL", "Sensible heat flux [W/m^2]"},
      /* 123 */ {"var123", "undefined"},
      /* 124 */ {"UFLX", "Momentum flux, u-component [N/m^2]"},
      /* 125 */ {"VFLX", "Momentum flux, v-component [N/m^2]"},
      /* 126 */ {"var126", "undefined"},
      /* 127 */ {"var127", "undefined"},
      /* 128 */ {"var128", "undefined"},
      /* 129 */ {"var129", "undefined"},
      /* 130 */ {"var130", "undefined"},
      /* 131 */ {"var131", "undefined"},
      /* 132 */ {"BVF2", "Square of Brunt-Vaisala frequency [1/s^2]"},
      /* 133 */ {"var133", "undefined"},
      /* 134 */ {"var134", "undefined"},
      /* 135 */ {"var135", "undefined"},
      /* 136 */ {"var136", "undefined"},
      /* 137 */ {"var137", "undefined"},
      /* 138 */ {"var138", "undefined"},
      /* 139 */ {"var139", "undefined"},
      /* 140 */ {"var140", "undefined"},
      /* 141 */ {"var141", "undefined"},
      /* 142 */ {"var142", "undefined"},
      /* 143 */ {"var143", "undefined"},
      /* 144 */ {"TSC", "Canopy temperature [K]"},
      /* 145 */ {"TSG", "Ground temperature [K]"},
      /* 146 */ {"CWORK", "Cloud work function [J/kg]"},
      /* 147 */ {"FGLU", "Zonal momentum flux by long gravity wave [N/m^2]"},
      /* 148 */ {"FGLV", "Meridional momentum flux by long gravity wave [N/m^2]"},
      /* 149 */ {"var149", "undefined"},
      /* 150 */ {"var150", "undefined"},
      /* 151 */ {"ADUA", "Adiabatic zonal acceleration [m/s/day]"},
      /* 152 */ {"VWV", "Meridional water vapour flux [Kg/m/s]"},
      /* 153 */ {"var153", "undefined"},
      /* 154 */ {"FGSV", "Meridional momentum flux by short gravity wave [N/m^2]"},
      /* 155 */ {"GFLX", "Ground heat flux [W/m^2]"},
      /* 156 */ {"var156", "undefined"},
      /* 157 */ {"UWV", "Zonal water vapour flux [kg/m/s]"},
      /* 158 */ {"var158", "undefined"},
      /* 159 */ {"FGSU", "Zonal momentum flux by short gravity wave [N/m^2]"},
      /* 160 */ {"CSUSF", "Clear sky upward solar radiation flux [W/m^2]"},
      /* 161 */ {"CSDSF", "Clear sky downward solar radiation flux [W/m^2]"},
      /* 162 */ {"CSULF", "Clear sky upward long wave radiation flux [W/m^2]"},
      /* 163 */ {"CSDLF", "Clear sky downward long wave radiation flux [W/m^2]"},
      /* 164 */ {"var164", "undefined"},
      /* 165 */ {"ADVA", "Adiabatic meridional acceleration [m/s/day]"},
      /* 166 */ {"var166", "undefined"},
      /* 167 */ {"var167", "undefined"},
      /* 168 */ {"var168", "undefined"},
      /* 169 */ {"var169", "undefined"},
      /* 170 */ {"FRCV", "Frequency of deep convection [%]"},
      /* 171 */ {"FRCVS", "Frequency of shallow convection [%]"},
      /* 172 */ {"FRSC", "Frequency of stratocumulus parameterisation [%]"},
      /* 173 */ {"GWDUA", "Gravity wave zonal acceleration [m/s/day]"},
      /* 174 */ {"GWDVA", "Gravity wave meridional acceleration [m/s/day]"},
      /* 175 */ {"var175", "undefined"},
      /* 176 */ {"var176", "undefined"},
      /* 177 */ {"var177", "undefined"},
      /* 178 */ {"var178", "undefined"},
      /* 179 */ {"var179", "undefined"},
      /* 180 */ {"var180", "undefined"},
      /* 181 */ {"var181", "undefined"},
      /* 182 */ {"var182", "undefined"},
      /* 183 */ {"var183", "undefined"},
      /* 184 */ {"var184", "undefined"},
      /* 185 */ {"var185", "undefined"},
      /* 186 */ {"var186", "undefined"},
      /* 187 */ {"var187", "undefined"},
      /* 188 */ {"var188", "undefined"},
      /* 189 */ {"var189", "undefined"},
      /* 190 */ {"UTHE", "Zonal thermal energy flux [W/m]"},
      /* 191 */ {"VTHE", "Meridional thermal energy flux [W/m]"},
      /* 192 */ {"var192", "undefined"},
      /* 193 */ {"var193", "undefined"},
      /* 194 */ {"var194", "undefined"},
      /* 195 */ {"var195", "undefined"},
      /* 196 */ {"var196", "undefined"},
      /* 197 */ {"var197", "undefined"},
      /* 198 */ {"var198", "undefined"},
      /* 199 */ {"var199", "undefined"},
      /* 200 */ {"var200", "undefined"},
      /* 201 */ {"var201", "undefined"},
      /* 202 */ {"LTRS", "Evapotranspiration [W/m^2]"},
      /* 203 */ {"LINT", "Interception loss [W/m^2]"},
      /* 204 */ {"DSWRF", "Downward solar radiation flux [W/m^2]"},
      /* 205 */ {"DLWRF", "Downward long wave radiation flux [W/m^2]"},
      /* 206 */ {"var206", "undefined"},
      /* 207 */ {"var207", "undefined"},
      /* 208 */ {"var208", "undefined"},
      /* 209 */ {"var209", "undefined"},
      /* 210 */ {"var210", "undefined"},
      /* 211 */ {"USWRF", "Upward solar radiation flux [W/m^2]"},
      /* 212 */ {"ULWRF", "Upward long wave radiation flux [W/m^2]"},
      /* 213 */ {"var213", "undefined"},
      /* 214 */ {"var214", "undefined"},
      /* 215 */ {"var215", "undefined"},
      /* 216 */ {"var216", "undefined"},
      /* 217 */ {"var217", "undefined"},
      /* 218 */ {"var218", "undefined"},
      /* 219 */ {"WSMX", "Maximum wind speed [m/s]"},
      /* 220 */ {"var220", "undefined"},
      /* 221 */ {"CWAT", "Cloud water [kg/kg]"},
      /* 222 */ {"ADHR", "Adiabatic heating rate [K/day]"},
      /* 223 */ {"MSC", "Moisture storage on canopy [m]"},
      /* 224 */ {"MSG", "Moisture storage on ground/cover [m]"},
      /* 225 */ {"SoilW", "Soil wetness [Proportion]"},
      /* 226 */ {"SMC", "Mass concentration of condensed water in soil [kg/m^3]"},
      /* 227 */ {"CW", "Cloud liquid water [kg/m^2]"},
      /* 228 */ {"CLWC", "Cloud liquid water [kg/kg]"},
      /* 229 */ {"CIWC", "Cloud ice [kg/kg]"},
      /* 230 */ {"MFLXB", "Upward mass flux at cloud base [kg/m^2/s]"},
      /* 231 */ {"MFLUX", "Upward mass flux [kg/m^2/s]"},
      /* 232 */ {"var232", "undefined"},
      /* 233 */ {"var233", "undefined"},
      /* 234 */ {"var234", "undefined"},
      /* 235 */ {"var235", "undefined"},
      /* 236 */ {"ADMR", "Adiabatic moistening rate [kg/kg/day]"},
      /* 237 */ {"OZONE", "Ozone mixing ratio [mg/kg]"},
      /* 238 */ {"var238", "undefined"},
      /* 239 */ {"CNVUA", "Convective zonal acceleration [m/s/day]"},
      /* 240 */ {"CNVVA", "Convective meridional acceleration [m/s/day]"},
      /* 241 */ {"LRGHR", "Large scale condensation heating rate [K/day]"},
      /* 242 */ {"CNVHR", "Convective heating rate [k/day]"},
      /* 243 */ {"CNVMR", "Convective moistening rate [kg/kg/day]"},
      /* 244 */ {"var244", "undefined"},
      /* 245 */ {"var245", "undefined"},
      /* 246 */ {"VDFHR", "Vertical diffusion heating rate [K/day]"},
      /* 247 */ {"VDFUA", "Vertical diffusion zonal acceleration [m/s/day]"},
      /* 248 */ {"VDFVA", "Vertical diffusion meridional acceleration [m/s/day]"},
      /* 249 */ {"VDFMR", "Vertical diffusion moistening rate [kg/kg/day]"},
      /* 250 */ {"SWHR", "Solar radiative heating rate [k/day]"},
      /* 251 */ {"LWHR", "Long wave radiative heating rate [K/day]"},
      /* 252 */ {"VTYPE", "Type of vegetation"},
      /* 253 */ {"LRGMR", "Large scale moistening rate [kg/kg/day]"},
      /* 254 */ {"var254", "undefined"},
      /* 255 */ {"var255", "undefined"},
};
